Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute
Class AttributeSetUtilities

    java.lang.Object
      |
      +--javax.print.attribute.AttributeSetUtilities

public final class AttributeSetUtilities
extends Object

Class AttributeSetUtilities provides static methods for manipulating AttributeSets.

- Methods for creating unmodifiable and synchronized views of attribute sets.
- operations useful for building implementations of interface `AttributeSet`

An unmodifiable view U of an AttributeSet S provides a client with "read-only" access to S. Query operations on U "read through" to S; thus, changes in S are reflected in U. However, any attempt to modify U, results in an UnmodifiableSetException. The unmodifiable view object U will be serializable if the attribute set object S is serializable.

A synchronized view V of an attribute set S provides a client with synchronized (multiple thread safe) access to S. Each operation of V is synchronized using V itself as the lock object and then merely invokes the corresponding operation of S. In order to guarantee mutually exclusive access, it is critical that all access to S is accomplished through V. The synchronized view object V will be serializable if the attribute set object S is serializable.

As mentioned in the package description of javax.print, a null reference parameter to methods is incorrect unless explicitly documented on the method as having a meaningful interpretation. Usage to the contrary is incorrect coding and may result in a run time exception either immediately or at some later time. IllegalArgumentException and NullPointerException are examples of typical and acceptable run time exceptions for such cases.

Method Summary
`static AttributeSet` | `synchronizedView(AttributeSet attributeSet)` Creates a synchronized view of the given attribute set.
`static DocAttributeSet` | `synchronizedView(DocAttributeSet attributeSet)` Creates a synchronized view of the given doc attribute set.
`static PrintJobAttributeSet` | `synchronizedView(PrintJobAttributeSet attributeSet)` Creates a synchronized view of the given print job attribute set.
`static PrintRequestAttributeSet` | `synchronizedView(PrintRequestAttributeSet attributeSet)` Creates a synchronized view of the given print request attribute set.
`static PrintServiceAttributeSet` | `synchronizedView(PrintServiceAttributeSet attributeSet)` Creates a synchronized view of the given print service attribute set.
`static AttributeSet` | `unmodifiableView(AttributeSet attributeSet)` Creates an unmodifiable view of the given attribute set.
`static DocAttributeSet` | `unmodifiableView(DocAttributeSet attributeSet)` Creates an unmodifiable view of the given doc attribute set.
`static PrintJobAttributeSet` | `unmodifiableView(PrintJobAttributeSet attributeSet)` Creates an unmodifiable view of the given print job attribute set.
`static PrintRequestAttributeSet` | `unmodifiableView(PrintRequestAttributeSet attributeSet)` Creates an unmodifiable view of the given print request attribute set.
`static PrintServiceAttributeSet` | `unmodifiableView(PrintServiceAttributeSet attributeSet)` Creates an unmodifiable view of the given print service attribute set.
`static Class` | `verifyAttributeCategory(Object object, Class interfaceName)` Verify that the given object is a `Class` that implements the given interface, which is assumed to be interface `Attribute` or a subinterface thereof.
`static Attribute` | `verifyAttributeValue(Object object, Class interfaceName)` Verify that the given object is an instance of the given interface, which is assumed to be interface `Attribute` or a subinterface thereof.
`static void` | `verifyCategoryForValue(Class category, Attribute attribute)` Verify that the given attribute category object is equal to the category of the given attribute value object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### unmodifiableView

    public static AttributeSet unmodifiableView(AttributeSet attributeSet)

  Creates an unmodifiable view of the given attribute set.

  Parameters:
    `attributeSet` - Underlying attribute set.
  Returns:
    Unmodifiable view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null. Null is never a

### unmodifiableView

    public static DocAttributeSet unmodifiableView(DocAttributeSet attributeSet)

  Creates an unmodifiable view of the given doc attribute set.

  Parameters:
    `attributeSet` - Underlying doc attribute set.
  Returns:
    Unmodifiable view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### unmodifiableView

    public static PrintRequestAttributeSet unmodifiableView(PrintRequestAttributeSet attributeSet)

  Creates an unmodifiable view of the given print request attribute set.

  Parameters:
    `attributeSet` - Underlying print request attribute set.
  Returns:
    Unmodifiable view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### unmodifiableView

    public static PrintJobAttributeSet unmodifiableView(PrintJobAttributeSet attributeSet)

  Creates an unmodifiable view of the given print job attribute set.

  Parameters:
    `attributeSet` - Underlying print job attribute set.
  Returns:
    Unmodifiable view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### unmodifiableView

    public static PrintServiceAttributeSet unmodifiableView(PrintServiceAttributeSet attributeSet)

  Creates an unmodifiable view of the given print service attribute set.

  Parameters:
    `attributeSet` - Underlying print service attribute set.
  Returns:
    Unmodifiable view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### synchronizedView

    public static AttributeSet synchronizedView(AttributeSet attributeSet)

  Creates a synchronized view of the given attribute set.

  Parameters:
    `attributeSet` - Underlying attribute set.
  Returns:
    Synchronized view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### synchronizedView

    public static DocAttributeSet synchronizedView(DocAttributeSet attributeSet)

  Creates a synchronized view of the given doc attribute set.

  Parameters:
    `attributeSet` - Underlying doc attribute set.
  Returns:
    Synchronized view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### synchronizedView

    public static PrintRequestAttributeSet synchronizedView(PrintRequestAttributeSet attributeSet)

  Creates a synchronized view of the given print request attribute set.

  Parameters:
    `attributeSet` - Underlying print request attribute set.
  Returns:
    Synchronized view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### synchronizedView

    public static PrintJobAttributeSet synchronizedView(PrintJobAttributeSet attributeSet)

  Creates a synchronized view of the given print job attribute set.

  Parameters:
    `attributeSet` - Underlying print job attribute set.
  Returns:
    Synchronized view of `attributeSet`.
  Throws:
    `NullPointerException` - Thrown if `attributeSet` is null.

### synchronizedView

    public static PrintServiceAttributeSet synchronizedView(PrintServiceAttributeSet attributeSet)

  Creates a synchronized view of the given print service attribute set.

  Parameters:
    `attributeSet` - Underlying print service attribute set.
  Returns:
    Synchronized view of `attributeSet`.

### verifyAttributeCategory

    public static Class verifyAttributeCategory(Object object,
                                                Class interfaceName)

  Verify that the given object is a `Class` that implements the given interface, which is assumed to be interface `Attribute` or a subinterface thereof.

  Parameters:
    `object` - Object to test.
    `interfaceName` - Interface the object must implement.
  Returns:
    If `object` is a `Class` that implements `interfaceName`, `object` is returned downcast to type `Class`; otherwise an exception is thrown.
  Throws:
    `NullPointerException` - (unchecked exception) Thrown if `object` is null.
    `ClassCastException` - (unchecked exception) Thrown if `object` is not a `Class` that implements `interfaceName`.

### verifyAttributeValue

    public static Attribute verifyAttributeValue(Object object,
                                                 Class interfaceName)

  Verify that the given object is an instance of the given interface, which is assumed to be interface `Attribute` or a subinterface thereof.

  Parameters:
    `object` - Object to test.
    `interfaceName` - Interface of which the object must be an instance.
  Returns:
    If `object` is an instance of `interfaceName`, `object` is returned downcast to type `Attribute`; otherwise an exception is thrown.
  Throws:
    `NullPointerException` - (unchecked exception) Thrown if `object` is null.
    `ClassCastException` - (unchecked exception) Thrown if `object` is not an instance of `interfaceName`.

### verifyCategoryForValue

    public static void verifyCategoryForValue(Class category,
                                              Attribute attribute)

  Verify that the given attribute category object is equal to the category of the given attribute value object. If so, this method returns doing nothing. If not, this method throws an exception.

  Parameters:
    `category` - Attribute category to test.
    `attribute` - Attribute value to test.
  Throws:
    `NullPointerException` - (unchecked exception) Thrown if the `category` is null or if the `attribute` is null.
    `IllegalArgumentException` - (unchecked exception) Thrown if the `category` is not equal to the category of the `attribute`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.